# Use 64-bit pointers on POWER and z/Series
%ifarch ppc64 s390x
%define bigptrs -DPTRSIZE_64BIT
%endif

%ifarch s390 s390x
%define pieopt -fPIE
%else
%define pieopt -fpie
%endif

Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent
Name: dhcp
Epoch: 7
Version: 3.0.1
# NOTE: This looks strange, I know.  The dhcp package had a static 'EL4' added
# before RHEL-4 was branched.  Since we are doing z-stream updates for RHEL-4
# now, we need to follow the NVR policy for z-stream updates, which makes use
# of the dist tag.  More importantly, following the policy will cause the
# correct updates to end up on customer systems.  Downside is that the release
# number for the package will look like 65.EL4.el4_1.1 or something like that.
Release: 68.0.1.1%{?dist}
License: BSD
Group: System Environment/Daemons

Source0: ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Source3: dhcrelay.init
Source4: dhcpd.conf.asianux

Patch0: %{name}-3.0-alignment.patch
Patch1: %{name}-3.0-jbuild.patch
Patch2: %{name}-3.0pl1-miscfixes.patch
Patch3: %{name}-3.0pl1-minires.patch
Patch4: %{name}-3.0pl2-selinux.patch
Patch5: %{name}-3.0pl2-initialize.patch
Patch6: %{name}-3.0.1rc12-RHscript.patch
Patch7: %{name}-3.0.1rc12-staticroutes.patch
Patch8: %{name}-3.0.1rc12-pie.patch
Patch9: %{name}-3.0.1rc12-inherit-leases.patch
Patch10: %{name}-3.0.1rc13-noexpr.patch
Patch11: %{name}-3.0.1rc14-noconfig.patch
Patch12: %{name}-3.0.1-change_resolv_conf.patch
Patch13: %{name}-3.0.1-default_gateway.patch
Patch14: %{name}-3.0.1.preserve-sent-options.patch
Patch15: %{name}-3.0.1-mis_host.patch
Patch16: %{name}-3.0.1-new-host.patch
Patch17: %{name}-3.0.1-host_dereference.patch
Patch18: %{name}-3.0.1-restrict-unconfigured-IF.patch
Patch19: %{name}-3.0.1-check-empty-new-routers.patch
Patch20: %{name}-3.0.1-fix-ntp.patch
Patch21: %{name}-3.0.1-release-mode-ifup.patch
Patch22: %{name}-3.0.1-dhclient-script-big-fix.patch
Patch23: %{name}-3.0.1-fix-hex.patch
Patch24: %{name}-3.0.1-mem.patch
Patch25: %{name}-3.0.1-dhclient_routes.patch
Patch26: %{name}-3.0.1-z-relro-now.patch
Patch27: %{name}-3.0.1-dhclient-restorecon.patch
Patch28: %{name}-3.0.1-dhclient-config.patch
Patch29: %{name}-3.0.1-BROKEN_GCC.patch
Patch30: %{name}-3.0.1-pid_file_excl.patch
Patch31: %{name}-3.0.1-dhclient-script-DHCLIENT_USE_GATEWAY.patch
Patch32: %{name}-3.0.1-decline_backoff.patch
Patch33: %{name}-3.0.1-fast.patch
Patch34: %{name}-3.0.1-dhclient-no_isc_blurb.patch
Patch35: %{name}-3.0.1-dhclient-script-update.patch
Patch36: %{name}-3.0.1-bz173324.patch
Patch37: %{name}-3.0.1-bz167028-ibm-unicast-bootp.patch
Patch38: %{name}-3.0.1-bz160655_obz15293.patch
Patch39: %{name}-3.0.1-dhclient-script-fixes.patch
Patch40: %{name}-3.0.1-bz176270.patch
Patch41: %{name}-3.0.1-bz176615.patch
Patch42: %{name}-3.0.1-bz177845.patch
Patch43: %{name}-3.0.1-bz181482.patch
Patch44: %{name}-3.0.1-dhclient_ibm_zSeries_broadcast.patch
Patch45: %{name}-3.0.1-dhclient_ibm_zSeries_-I_option.patch
Patch46: %{name}-3.0.1-bz202911.patch
Patch47: %{name}-3.0.1-xen-checksum.patch
Patch48: %{name}-3.0.1-bz447356.patch
Patch49: %{name}-3.0.1-manpages.patch
Patch50: %{name}-3.0.1-port-validation.patch
Patch51: %{name}-3.0.2-fix-allocate-lease.patch
Patch52: %{name}-3.0.1-CVE-2009-0692.patch
Patch53: %{name}-3.0.1-CVE-2011-0997.patch
Patch54: %{name}-3.0.1-CVE-2011-2748-2749.patch
Patch55: %{name}-3.0.5-CVE-2012-3571.patch

URL: http://isc.org/products/DHCP/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig
Requires: kernel >= 2.2.18
BuildRequires: groff, compat-gcc-32 >= 3.2.3

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the
ISC DHCP service and relay agent.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhcp package provides
the ISC DHCP service and relay agent.

%package -n dhclient
Summary: Development headers and libraries for interfacing to the DHCP server
Requires: initscripts >= 6.75
Group: System Environment/Base
Obsoletes: dhcpcd

%package devel
Summary: Development headers and libraries for interfacing to the DHCP server
Requires: dhcp = %{epoch}:%{version}
Group: Development/Libraries

%description -n dhclient
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhclient package 
provides the ISC DHCP client daemon.

%description devel
Libraries for interfacing with the ISC DHCP server.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1

# dhclient: insufficient sanitization of certain DHCP response values
# CVE-2011-0997, #690574
%patch53 -p1 -b .CVE-2011-0997

# A pair of defects cause the server to halt upon processing certain packets
# CVE-2011-2748, CVE-2011-2749, RHBZ #729879
%patch54 -p1 -b .CVE-2011-2748-2749

%patch55 -p1 -b .CVE-2012-3571

%{__cp} %{SOURCE1} .
%{__cat} << EOF >site.conf
VARDB=%{_localstatedir}/lib/dhcp
ADMMANDIR=%{_mandir}/man8
FFMANDIR=%{_mandir}/man5
LIBMANDIR=%{_mandir}/man3
USRMANDIR=%{_mandir}/man1
LIBDIR=%{_libdir}
INCDIR=%{_includedir}
EOF
%{__cat} << EOF >>includes/site.h
#define _PATH_DHCPD_DB          "%{_localstatedir}/lib/dhcp/dhcpd.leases"
#define _PATH_DHCLIENT_DB       "%{_localstatedir}/lib/dhcp/dhclient.leases"
EOF

%build
./configure --copts "-DBROKEN_GCC %{optflags} %{?bigptrs} %{pieopt}"
%{__make} %{?_smp_mflags} CC="%{__cc}"

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/etc/sysconfig

%{__make} install DESTDIR=%{buildroot}

%{__mkdir} -p %{buildroot}/etc/rc.d/init.d
%{__install} -m 0755 %{SOURCE2} %{buildroot}/etc/rc.d/init.d/dhcpd

touch %{buildroot}%{_localstatedir}/lib/dhcp/dhcpd.leases

%{__cat} << EOF > %{buildroot}/etc/sysconfig/dhcpd
# Command line options here
DHCPDARGS=
EOF

%{__install} -m 0755 %{SOURCE3} %{buildroot}/etc/rc.d/init.d/dhcrelay

%{__cat} << EOF > %{buildroot}/etc/sysconfig/dhcrelay
# Command line options here
INTERFACES=""
DHCPSERVERS=""
EOF

# Copy sample dhclient.conf file into position
%{__cp} client/dhclient.conf dhclient.conf.sample
%{__chmod} 755 %{buildroot}/sbin/dhclient-script
# Fix bug 163367: install default (empty) dhcpd.conf:
%{__cp} -fp %{SOURCE4} %{buildroot}/etc/dhcpd.conf

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add dhcpd
/sbin/chkconfig --add dhcrelay

%preun
if [ $1 = 0 ]; then	# execute this only if we are NOT doing an upgrade
    service dhcpd stop >/dev/null 2>&1
    service dhcrelay stop >/dev/null 2>&1
    /sbin/chkconfig --del dhcpd 
    /sbin/chkconfig --del dhcrelay
fi

%postun
if [ "$1" -ge "1" ]; then
    service dhcpd condrestart >/dev/null 2>&1
    service dhcrelay condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc LICENSE README RELNOTES dhcpd.conf.sample
%dir %{_localstatedir}/lib/dhcp
%verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/dhcp/dhcpd.leases
%config(noreplace) /etc/sysconfig/dhcpd
%config(noreplace) /etc/sysconfig/dhcrelay
%config(noreplace) /etc/dhcpd.conf
%config /etc/rc.d/init.d/dhcpd
%config /etc/rc.d/init.d/dhcrelay
%{_bindir}/omshell
%{_sbindir}/dhcpd
%{_sbindir}/dhcrelay
%{_mandir}/man1/omshell.1*
%{_mandir}/man5/dhcp-eval.5*
%{_mandir}/man5/dhcpd.conf.5*
%{_mandir}/man5/dhcpd.leases.5*
%{_mandir}/man8/dhcpd.8*
%{_mandir}/man8/dhcrelay.8*

%files -n dhclient
%defattr(-,root,root)
%doc dhclient.conf.sample
%dir %{_localstatedir}/lib/dhcp
/sbin/dhclient
/sbin/dhclient-script
%{_mandir}/man5/dhclient.conf.5*
%{_mandir}/man5/dhclient.leases.5*
%{_mandir}/man8/dhclient.8*
%{_mandir}/man8/dhclient-script.8*
%{_mandir}/man5/dhcp-options.5*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_mandir}/man3/*

%changelog
* Fri Aug  3 2012 Mika Kamei <mika.kamei@miraclelinux.com> - 3.0.1-68.0.1.1%{?dist}
- add security fix for CVE-2012-3571.patch (Patch55)

* Fri Aug 26 2011 Lily Zhu <lily.zhu@asianux.com> -3.0.1-68.0.1%{?dist}
- merge the asianux change (Source4: dhcpd.conf => Source4: dhcpd.conf.asianux)

* Thu Aug 11 2011 Jiri Popelka <jpopelka@redhat.com> - 3.0.1-68
- A pair of defects cause the server to halt upon processing certain packets
  (CVE-2011-2748, CVE-2011-2749, RHBZ #729879)

* Wed Apr 06 2011 Jiri Popelka <jpopelka@redhat.com> - 3.0.1-67
- Better fix for CVE-2011-0997: making domain-name check more lenient (#690574)

* Mon Apr 04 2011 Jiri Popelka <jpopelka@redhat.com> - 3.0.1-66
- dhclient: insufficient sanitization of certain DHCP response values
  (CVE-2011-0997, #690574)

* Tue Jun 23 2009 David Cantrell <dcantrell@redhat.com> - 3.0.1-65.1
- Correct package NVR
  Related: rhbz#507736

* Tue Jun 23 2009 David Cantrell <dcantrell@redhat.com> - 3.0.1-65.EL4.1
- Fix for CVE-2009-0692
  Resolves: rhbz#507736

* Thu Feb 12 2009 David Cantrell <dcantrell@redhat.com> - 3.0.1-65.EL4
- Handle signed port numbers on '-p' command line switch
  Resolves: rhbz#438149

* Wed Nov 19 2008 David Cantrell <dcantrell@redhat.com> - 3.0.1-64.EL4
- Reference /var/lib/dhcp in dhcpd init script
  Resolves: rhbz#471874

* Tue Sep 30 2008 David Cantrell <dcantrell@redhat.com> - 3.0.1-63.EL4
- Man page typo fixes
  Resolves: rhbz#447889
- Validate port numbers for dhclient, dhcpd, and dhcrelay to ensure
  that are within the correct range
  Resolves: rhbz#438149
- Reclaim abandoned leases when free leases are available
  Resolves: rhbz#445457

* Tue May 20 2008 David Cantrell <dcantrell@redhat.com> - 3.0.1-62.EL4
- Rebuild
  Related: rhbz#447356

* Mon May 19 2008 David Cantrell <dcantrell@redhat.com> - 3.0.1-61.1.EL4
- Fix 64-bit dhclient problems parsing time values in lease files
  Resolves: rhbz#447356

* Thu Feb 14 2008 David Cantrell <dcantrell@redhat.com> - 3.0.1-61.EL4
- Fix dhclient man page typos
  Resolves: rhbz#233071
- Updated dhcrelay init script to conform to script guidelines
  Resolves: rhbz#237982
- Updated dhcpd init script to conform to script guidelines
  Resolves: rhbz#237984

* Mon Aug 13 2007 David Cantrell <dcantrell@redhat.com> - 3.0.1-60.EL4
- Skip checksum check on local packets so dhcpd runs correctly in Xen guests
  Resolves: rhbz#238051

* Thu Aug 17 2006 David Cantrell <dcantrell@redhat.com> - 3.0.1-59.EL4
- Fix dhclient on s390x platform (#202911)

* Thu Mar 02 2006 Jason Vas Dias <jvdias@redhat.com> - 3.0.1-58.EL4
- fix bug 181908: enable dhclient to operate on IBM zSeries z/OS linux guests:
  o add -I <dhcp-client-identifier> dhclient command line option
  o add -B "always broadcast" dhclient command line option
  o add 'bootp-broadcast-always;' dhclient.conf statement

* Mon Feb 20 2006 Jason Vas Dias <jvdias@redhat.com> - 3.0.1-56.EL4
- Apply upstream fix for bug 176615
- fix bug 181482

* Mon Jan 16 2006 Jason Vas Dias <jvdias@redhat.com> - 3.0.1-54.EL4
- fix bug 177845: allow default router to be same as ip-address
- fix bug 176615: fix DDNS updates when host-name contains trailing NUL

* Tue Dec 20 2005 Jason Vas Dias <jvdias@redhat.com> - 3.0.1-52.EL4
- fix bug 176270: allow routers with an octet of 255 in their IP address

* Wed Dec 14 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-50.EL4
- fix typo in dhcpd initscript '/var/lib/dhcpd' -> '/var/lib/dhcp'

* Fri Nov 18 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-44_EL4
- fix bug 160655 / upstream bug 15293: apply upstream patch to fix trailing null options
- fix bug 167028 : apply IBM unicast BOOTP patch (from xma@us.ibm.com)
- fix bug 173324 : omapi memory leak 
- dhclient-script fixes: e.g. bug 173619

* Tue Jul 12 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-40_EL4
- fix bug 143640: allow only one dhclient to configure an interface
- fix bug 162080 + 159929: prevent dhclient flooding network on repeated DHCPDECLINE
- stop dhclient's 1-5 second wait before starting if only one interface being configured
- fix bug 149780: require DHCLIENT_USE_GATEWAY setting for dhclient-script
  to honor GATEWAY setting
- remove emission of ISC blurb on dhclient error exit in -q mode
- dhclient-script fixes:
    o remove 1 second sleep on PREINIT
    o further replacement of /sbin/route by /sbin/ip
    o fix determination of runlevel in init state 1
    o add class A,B,C static route support
    o add ARPCHECK support

* Tue Feb 15 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-38_EL4
- 'Wl,-z,relro' is now OK with elflint - adding back in.
- fix verification of config file with -cf in DHCPDARGS.

* Tue Feb 15 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-38_EL
- Still trying to get past broken execshield tests. 
- Now added "BROKEN_GCC" switch to dhcpd.h to make binding_state_t
- lease members into uint8_t's to overcome gcc bug 144358 so that
- gcc-3.4.3 can be used. Added '-Wl,-z,noexecstack' option to all
- executable link options.

* Mon Feb 14 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-36_EL
- compile with gcc32, link with gcc(3.4.3) to overcome gcc(3.4.3)'s
- compilation bug (gcc bug 144358) and gcc32's lack of production of a
- .note.GNU-stack section on ia64 and ppc64 which causes the execshield
- rpmdiff tests to fail. Ugh!

* Mon Feb 14 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-34_EL
- make dhclient-script TIMEOUT mode do exactly the same configuration
- as BOUND / RENEW / REBIND / REBOOT if router ping succeeds

* Mon Feb 14 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-34_EL
- fix bug 147926: dhclient-script should do restorecon for modified conf files
- optimize execshield protection

* Thu Feb 10 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-33_EL
- fix bug 147375: dhcpd heap corruption on 32-bit 'subnet' masks
- fix bug 147502: dhclient should honor GATEWAYDEV and GATEWAY settings            
- fix bug 146600: dhclient's timeout mode ping should use -I
- fix bug 146524: dhcpd.init should discard dhcpd's initial output message
- fix bug 147739: dhcpd.init configtest should honor -cf in DHCPDARGS

* Mon Jan 24 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-33_EL
- fix bug 145997: allow hex 32-bit integers in user specified options

* Thu Jan 06 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-33_EL
- fix bug 144417: much improved dhclient-script 

* Mon Jan 03 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.1-33_EL
- fix bug 143704: dhclient -r does not work if lease held by
- dhclient run from ifup . dhclient will now look for the pid
- files created by ifup .

* Wed Nov 17 2004 Jason Vas Dias <jvdias@redhat.com> 3.0.1-33_EL
- NTP: fix bug 139715: merge in new ntp servers only rather than replace
- all the ntp configuration files; restart ntpd if configuration changed.

* Tue Nov 16 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-12
- fix bug 138181 & bug 139468: do not attempt to listen/send on
-     unconfigured  loopback, point-to-point or non-broadcast 
-     interfaces (don't generate annoying log messages)
- fix bug 138869: dhclient-script: check if '$new_routers' is
-     empty before doing 'set $new_routers;...;ping ... $1'

* Wed Oct 06 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-11
- dhcp-3.0.2b1 came out today. A diff of the 'ack_lease' function
- Dave Hankins and I patched exposed a missing '!' on an if clause
- that got dropped with the 'new-host' patch. Replacing the '!' .
- Also found one missing host_dereference.

* Wed Oct 06 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-10
- clean-up last patch: new-host.patch adds host_reference(host)
- without host_dereference(host) before returns in ack_lease
- (dhcp-3.0.1-host_dereference.patch)
 
* Mon Sep 27 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-9
- Fix bug 133522:
- PXE Boot clients with static leases not given 'file' option
- 104 by server - PXE booting was disabled for 'fixed-address'
- clients. 

* Fri Sep 10 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-8
- Fix bug 131212: 
- If "deny booting" is defined for some group of hosts,
- then after one of those hosts is denied booting, all
- hosts are denied booting, because of a pointer not being
- cleared in the lease record. 
- An upstream patch was obtained which will be in dhcp-3.0.2 .

* Mon Aug 16 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-7
- Forward DNS update by client was disabled by a bug that I
- found in code where 'client->sent_options' was being 
- freed too early.
- Re-enabled it after contacting upstream maintainer
- who confirmed that this was a bug (bug #130069) -
- submitted patch dhcp-3.0.1.preserve-sent-options.patch.
- Upstream maintainer informs me this patch will be in dhcp-3.0.2 .

* Tue Aug 3  2004 Jason Vas Dias <jvdias@redhat.com> 6:3.0.1-6
- Allow 2.0 kernels to obtain default gateway via dhcp 

* Mon Aug 2  2004 Jason Vas Dias <jvdias@redhat.com> 5:3.0.1-5
- Invoke 'change_resolv_conf' function to change resolv.conf

* Fri Jul 16 2004 Jason Vas Dias <jvdias@redhat.com> 3:3.0.1
- Upgraded to new ISC 3.0.1 version

* Thu Jun 24 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc14-5
- Allow dhclient-script to continue without a config file.  
- It will use default values.

* Wed Jun 23 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc14-4
- fix inherit-leases patch

* Tue Jun 22 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc14-2
- Turn on inherit-leases patch

* Tue Jun 22 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc14-1
- User kernelversion instead of uname-r
- Update to latest package from ISC
- Remove inherit-leases patch for now.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun 10 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc13-1
- Update to latest package from ISC

* Thu Jun 10 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-9
- add route back in after route up call

* Wed Jun 9 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-8
- add alex's dhcp-3.0.1rc12-inherit-leases.patch patch

* Tue Jun  8 2004 Bill Nottingham <notting@redhat.com> 1:3.0.1rc12-7
- set device on default gateway route

* Mon May 17 2004 Thomas Woerner <twoerner@redhat.com> 1:3.0.1rc12-6
- compiling dhcpd PIE

* Thu Mar 25 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-5
- Add static routes patch to dhclient-script

* Wed Mar 25 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-4
- Fix init to check config during restart 

* Wed Mar 24 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-3
- Fix init script to create leases file if missing

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 21 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.20
- Fix initialization of memory to prevent compiler error

* Mon Jan 5 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.19
- Close leaseFile before exec, to fix selinux error message

* Mon Dec 29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.18
- Add BuildRequires groff
- Replace resolv.conf if renew and data changes

* Sun Nov 30 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.17
- Add obsoletes dhcpcd

* Wed Oct 8 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.16
- Fix location of ntp driftfile

* Fri Sep 5 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.15
- Bump Release

* Fri Sep 5 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.14
- Add div0 patch

* Wed Aug 20 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.13
- Add SEARCH to client script

* Wed Aug 20 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.12
- Bump Release

* Wed Aug 20 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.11
- Add configtest

* Fri Aug 1 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.10
- increment for base 

* Fri Aug 1 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.9
- Don't update resolv.conf on renewals

* Tue Jul  29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.8
- increment for base 

* Tue Jul  29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.7
- Fix name of driftfile

* Tue Jul  29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.6
- increment for base 

* Tue Jul  29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.5
- Change dhcrelay script to check DHCPSERVERS

* Mon Jul  7 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.4
- increment for base 

* Mon Jul  7 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.3
- Fix dhclient-script to support PEERNTP and PEERNIS flags.
- patch submitted by aoliva@redhat.com

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 1:3.0pl2-6.1
- add epoch to dhcp-devel versioned requires on dhcp
- build for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-5
- Fix memory leak in parser.

* Mon May 19 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-4
- Change Rev for RHEL

* Mon May 19 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-3
- Change example to not give out 255 address.

* Tue Apr 29 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-2
- Change Rev for RHEL

* Mon Apr 28 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-1
- upgrade to 3.0pl2

* Wed Mar 26 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-26
- add usage for dhcprelay -c
- add man page for dhcprelay -c

* Fri Mar 7 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-25
- Fix man dhcpd.conf man page

* Tue Mar 4 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-24
- Fix man dhcpctl.3 page

* Mon Feb 3 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-23
- fix script to handle ntp.conf correctly

* Thu Jan 29 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-22
- Increment release to add to 8.1

* Wed Jan 29 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-21
- Implement max hops patch

* Wed Jan 29 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-20
- It has now been decided to just have options within dhclient kit

* Sun Jan 26 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add defattr() to have files not owned by root

* Fri Jan 24 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-17
- require kernel version

* Fri Jan 24 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-16
- move dhcp-options to separate package 

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan 9 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-15
- eliminate dhcp-options from dhclient in order to get errata out

* Wed Jan 8 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-14
- VU#284857 - ISC DHCPD minires library contains multiple buffer overflows

* Mon Jan 6 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-13
- Fix when ntp is not installed.

* Mon Jan 6 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-12
- Fix #73079 (dhcpctl man page) 

* Thu Nov 14 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-11
- Use generic PTRSIZE_64BIT detection instead of ifarch.

* Thu Nov 14 2002 Preston Brown <pbrown@redhat.com> 3.0pl1-10
- fix parsing of command line args in dhclient.  It was missing a few.

* Mon Oct 07 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- work on 64bit archs

* Wed Aug 28 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-9
- Fix #72795

* Mon Aug 26 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-8
- More #68650 (modify requested options)
- Fix #71453 (dhcpctl man page) and #71474 (include libdst.a) and
  #72622 (hostname setting)

* Thu Aug 15 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-7
- More #68650 (modify existing patch to also set NIS domain)

* Tue Aug 13 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-6
- Patch102 (dhcp-3.0pl1-dhcpctlman-69731.patch) to fix #69731

* Tue Aug 13 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-5
- Patch101 (dhcp-3.0pl1-dhhostname-68650.patch) to fix #68650

* Fri Jul 12 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-4
- Fix unaligned accesses when decoding a UDP packet

* Thu Jul 11 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-3
- No apparent reason for the dhclient -> dhcp dep mentioned in #68001,
  so removed it

* Wed Jun 27 2002 David Sainty <saint@redhat.com> 3.0pl1-2
- Move dhclient.conf.sample from dhcp to dhclient

* Mon Jun 25 2002 David Sainty <saint@redhat.com> 3.0pl1-1
- Change to dhclient, dhcp, dhcp-devel packaging
- Move to 3.0pl1, do not strip binaries
- Drop in sysconfig-enabled dhclient-script

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jan 26 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- prereq chkconfig

* Tue Jan 22 2002 Elliot Lee <sopwith@redhat.com> 3.0-5
- Split headers/libs into a devel subpackage (#58656)

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 28 2001 Elliot Lee <sopwith@redhat.com> 3.0-3
- Fix the #52856 nit.
- Include dhcrelay scripts from #49186

* Thu Dec 20 2001 Elliot Lee <sopwith@redhat.com> 3.0-2
- Update to 3.0, include devel files installed by it (as part of the main package).

* Sun Aug 26 2001 Elliot Lee <sopwith@redhat.com> 2.0pl5-8
- Fix #26446

* Mon Aug 20 2001 Elliot Lee <sopwith@redhat.com>
- Fix #5405 for real - it is dhcpd.leases not dhcp.leases.

* Mon Jul 16 2001 Elliot Lee <sopwith@redhat.com>
- /etc/sysconfig/dhcpd
- Include dhcp.leases file (#5405)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 14 2001 Tim Waugh <twaugh@redhat.com>
- Fix initscript typo (bug #27624).

* Wed Feb  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Improve spec file i18n

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- i18nize init script (#26084)

* Sun Sep 10 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.0pl5
- redo buildroot patch

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Mon Aug 14 2000 Preston Brown <pbrown@redhat.com>
- check for existence of /var/lib/dhcpd.leases in initscript before starting

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- /etc/rc.d/init.d -> /etc/init.d
- fix /var/state/dhcp -> /var/lib/dhcp

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- condrestart for initscript, graceful upgrades.

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages
- marked /etc/rc.d/init.d/dhcp as a config file

* Mon Jan 24 2000 Jakub Jelinek <jakub@redhat.com>
- fix booting of JavaStations
  (reported by Pete Zaitcev <zaitcev@metabyte.com>).
- fix SIGBUS crashes on SPARC (apparently gcc is too clever).

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0b1pl28.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
